Resolution for the yum update error, "Packagename has missing requires of gzip".

Solution Verified - Updated -

Issue

  • yum update shows errors and does not progress further.
[root@issue_server] # yum update
Install      14 Package(s)
Upgrade     420 Package(s)

Total size: 349 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
perl(Compress::Raw::Zlib) >= 2.021 is needed by perl-Compress-Zlib-0:2.021-136.el6_6.1.x86_64
gzip is needed by dracut-004-356.el6.noarch
perl(Compress::Raw::Zlib) >= 2.021 is needed by perl-IO-Compress-Zlib-0:2.021-136.el6_6.1.x86_64
perl-Compress-Raw-Zlib is needed by perl-core-0:5.10.1-136.el6_6.1.x86_64
** Found 148 pre-existing rpmdb problem(s), 'yum check' output follows:
cracklib-2.8.16-4.el6.x86_64 has missing requires of gzip
dracut-004-336.el6_5.2.noarch has missing requires of gzip
gnome-user-share-2.28.2-3.el6.x86_64 has missing requires of httpd >= ('0', '2.2.0', None)
man-1.6f-32.el6.x86_64 has missing requires of gzip
perl-Compress-Zlib-2.021-136.el6.x86_64 has missing requires of perl(Compress::Raw::Zlib) >= ('0', '2.021', None)
perl-IO-Compress-Zlib-2.021-136.el6.x86_64 has missing requires of perl(Compress::Raw::Zlib) >= ('0', '2.021', None)
perl-core-5.10.1-136.el6.x86_64 has missing requires of perl-Compress-Raw-Zlib
redhat-lsb-core-4.0-7.el6.x86_64 has missing requires of /bin/gunzip
redhat-lsb-core-4.0-7.el6.x86_64 has missing requires of /bin/gzip
redhat-lsb-core-4.0-7.el6.x86_64 has missing requires of /bin/zcat
wacomexpresskeys-0.4.2-3.el6.x86_64 has missing requires of xorg-x11-server-Xorg
xorg-x11-drv-acecad-1.5.0-6.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-acecad-1.5.0-6.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-acecad-1.5.0-6.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-aiptek-1.4.1-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-aiptek-1.4.1-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-aiptek-1.4.1-4.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-apm-1.2.5-5.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-apm-1.2.5-5.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-apm-1.2.5-5.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-ast-0.97.0-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-ast-0.97.0-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-ast-0.97.0-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-ati-7.1.0-3.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-ati-7.1.0-3.el6.x86_64 has missing requires of xorg-x11-server-Xorg >= ('0', '1.10.99.902', None)
xorg-x11-drv-ati-7.1.0-3.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-ati-7.1.0-3.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-cirrus-1.5.2-1.el6_4.x86_64 has missing requires of Xorg
xorg-x11-drv-cirrus-1.5.2-1.el6_4.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-cirrus-1.5.2-1.el6_4.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-dummy-0.3.6-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-dummy-0.3.6-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-dummy-0.3.6-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-elographics-1.4.1-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-elographics-1.4.1-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-elographics-1.4.1-2.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-evdev-2.7.3-5.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-evdev-2.7.3-5.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-evdev-2.7.3-5.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-fbdev-0.4.3-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-fbdev-0.4.3-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-fbdev-0.4.3-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-fpit-1.4.0-5.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-fpit-1.4.0-5.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-fpit-1.4.0-5.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-glint-1.2.8-3.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-glint-1.2.8-3.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-glint-1.2.8-3.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-hyperpen-1.4.1-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-hyperpen-1.4.1-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-hyperpen-1.4.1-4.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-i128-1.3.6-3.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-i128-1.3.6-3.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-i128-1.3.6-3.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-i740-1.3.4-5.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-i740-1.3.4-5.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-i740-1.3.4-5.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-intel-2.21.12-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-intel-2.21.12-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-intel-2.21.12-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-keyboard-1.6.2-7.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-keyboard-1.6.2-7.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-keyboard-1.6.2-7.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-mach64-6.9.3-4.1.el6_4.x86_64 has missing requires of Xorg
xorg-x11-drv-mach64-6.9.3-4.1.el6_4.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-mach64-6.9.3-4.1.el6_4.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-mga-1.6.1-10.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-mga-1.6.1-10.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-mga-1.6.1-10.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-modesetting-0.5.0-1.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-modesetting-0.5.0-1.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-modesetting-0.5.0-1.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-mouse-1.8.1-7.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-mouse-1.8.1-7.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-mouse-1.8.1-7.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-mutouch-1.3.0-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-mutouch-1.3.0-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-mutouch-1.3.0-4.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
1:xorg-x11-drv-nouveau-1.0.1-4.el6.x86_64 has missing requires of Xorg
1:xorg-x11-drv-nouveau-1.0.1-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
1:xorg-x11-drv-nouveau-1.0.1-4.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-nv-2.1.20-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-nv-2.1.20-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-nv-2.1.20-4.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-openchrome-0.3.0-3.20120806git.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-openchrome-0.3.0-3.20120806git.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-openchrome-0.3.0-3.20120806git.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-penmount-1.5.0-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-penmount-1.5.0-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-penmount-1.5.0-4.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-qxl-0.1.0-8.el6_5.x86_64 has missing requires of Xorg
xorg-x11-drv-qxl-0.1.0-8.el6_5.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-qxl-0.1.0-8.el6_5.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-r128-6.9.1-1.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-r128-6.9.1-1.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-r128-6.9.1-1.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-rendition-4.2.5-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-rendition-4.2.5-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-rendition-4.2.5-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-s3virge-1.10.6-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-s3virge-1.10.6-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-s3virge-1.10.6-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-savage-2.3.6-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-savage-2.3.6-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-savage-2.3.6-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-siliconmotion-1.7.7-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-siliconmotion-1.7.7-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-siliconmotion-1.7.7-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-sis-0.10.7-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-sis-0.10.7-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-sis-0.10.7-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-sisusb-0.9.6-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-sisusb-0.9.6-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-sisusb-0.9.6-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-synaptics-1.6.2-13.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-synaptics-1.6.2-13.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-synaptics-1.6.2-13.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '1', None)
xorg-x11-drv-tdfx-1.4.5-2.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-tdfx-1.4.5-2.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-tdfx-1.4.5-2.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-trident-1.3.6-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-trident-1.3.6-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-trident-1.3.6-4.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-drv-v4l-0.2.0-6.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-v4l-0.2.0-6.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-v4l-0.2.0-6.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-vesa-2.3.2-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-vesa-2.3.2-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-vesa-2.3.2-4.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-vmmouse-12.9.0-10.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-vmmouse-12.9.0-10.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-vmmouse-12.9.0-10.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-vmware-12.0.2-3.20120718gite5ac80d8f.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-vmware-12.0.2-3.20120718gite5ac80d8f.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-vmware-12.0.2-3.20120718gite5ac80d8f.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-void-1.4.0-3.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-void-1.4.0-3.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-void-1.4.0-3.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-voodoo-1.2.5-3.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-voodoo-1.2.5-3.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-voodoo-1.2.5-3.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '0', None)
xorg-x11-drv-wacom-0.16.1-4.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-wacom-0.16.1-4.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-wacom-0.16.1-4.el6.x86_64 has missing requires of xserver-abi(xinput-18) >= ('0', '0', None)
xorg-x11-drv-xgi-1.6.0-18.20121114git.el6.x86_64 has missing requires of Xorg
xorg-x11-drv-xgi-1.6.0-18.20121114git.el6.x86_64 has missing requires of xserver-abi(ansic-0) >= ('0', '4', None)
xorg-x11-drv-xgi-1.6.0-18.20121114git.el6.x86_64 has missing requires of xserver-abi(videodrv-13) >= ('0', '1', None)
xorg-x11-glamor-0.5.0-6.20130401git81aadb8.el6.x86_64 has missing requires of xorg-x11-server-Xorg
Your transaction was saved, rerun it with: yum load-transaction /tmp/yum_save_tx-2015-03-05-16-30YcJGnh.yumtx

Environment

  • Red Hat Enterprise Linux 6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In